Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 579573 - Review Request: x2goclient - Graphical client for use with the X2Go network based computing environment
Summary: Review Request: x2goclient - Graphical client for use with the X2Go network b...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-04-05 21:48 UTC by Leon Keijser
Modified: 2010-11-18 01:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-18 01:48:33 UTC


Attachments (Terms of Use)

Description Leon Keijser 2010-04-05 21:48:22 UTC
Spec URL: http://leon.fedorapeople.org/files/x2goclient/x2goclient.spec
SRPM URL: http://leon.fedorapeople.org/files/x2goclient/x2goclient-3.01-5.1.fc12.src.rpm
Description: This client will be able to connect to X2Go server(s) and start, stop, resume and terminate (running) desktop sessions. X2Go Client stores different server connections and may automatically request authentication data from LDAP directories.

Comment 1 Julian G 2010-05-22 12:42:37 UTC
I did a scratch build of the package, but the client crashes before connecting to the session (the session gets started on the server).

http://koji.fedoraproject.org/koji/taskinfo?taskID=2203181

[julian@cartman ~]$ x2goclient
Can't load translator (:/x2goclient_en_us) !

Can't load translator (:/qt_en_US) !

tunnel : "localhost" : "30013" : "30013" : true 

starting nxproxy with:  "nxproxy -S nx/nx,options=/home/julian/.x2go/S-julian-54-1274529480_stDKDE_dp24/options:54" 

QProcess: Destroyed while process is still running.
check command message 

Segmentation fault (core dumped)

Where should i look for it?

Using gdb it points me to:
Program received signal SIGSEGV, Segmentation fault.
QProcessManager::remove (this=0x32a4c64520, process=<value optimized out>) at io/qprocess_unix.cpp:308
308         int serial = process->d_func()->serial;

Comment 2 Pavel Alexeev 2010-08-25 14:08:08 UTC
Is there any progress?

Comment 3 Jason Tibbitts 2010-11-18 01:48:33 UTC
No response in many months; I'll close this.


Note You need to log in before you can comment on or make changes to this bug.